Skip to main content
GET
/
v2
/
pre-recorded
/
{id}
/
file
Download the audio file used for this pre recorded job
curl --request GET \
  --url https://api.gladia.io/v2/pre-recorded/{id}/file \
  --header 'x-gladia-key: <api-key>'
import requests

url = "https://api.gladia.io/v2/pre-recorded/{id}/file"

headers = {"x-gladia-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-gladia-key': '<api-key>'}};

fetch('https://api.gladia.io/v2/pre-recorded/{id}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<binary>"
{
"timestamp": "2023-12-28T09:04:17.210Z",
"path": "/v2/transcription/45463597-20b7-4af7-b3b3-f5fb778203ab",
"request_id": "G-821fe9df",
"statusCode": 401,
"message": "gladia key not found"
}
{
"timestamp": "2023-12-28T09:04:17.210Z",
"path": "/v2/transcription/45463597-20b7-4af7-b3b3-f5fb778203ab",
"request_id": "G-821fe9df",
"statusCode": 404,
"message": "Not found"
}

Authorizations

x-gladia-key
string
header
required

Your personal Gladia API key

Path Parameters

id
string
required

Id of the pre recorded job

Example:

"45463597-20b7-4af7-b3b3-f5fb778203ab"

Response

The audio file used for this pre recorded job

The response is of type file.